package com.mayi.fastdevelop.base;

import android.app.Application;

public abstract class BaseApplication extends Application {

    private static BaseApplication mInstance;

    @Override
    public void onCreate() {
        mInstance = this;
        super.onCreate();
    }

    public static BaseApplication getInstance() {
        return mInstance;
    }

    /**
     * 继承BasicApplication后，实现该方法，返回自定义的子类AppContext.this即可，不要返回父类BasicApplication对象
     */
    public abstract Application getChildApplication();

}
